﻿
#pragma once
#include "Animation/AnimNotifies/AnimNotifyState.h"

#include "$(FileClassName).generated.h"


UCLASS()
class $(ApiName)_API $(ClassName) : public UAnimNotifyState {
	GENERATED_BODY()
public:
	virtual void NotifyBegin( USkeletalMeshComponent* MeshComp, UAnimSequenceBase* Animation, float TotalDuration ) override;
	virtual void NotifyEnd( USkeletalMeshComponent* MeshComp, UAnimSequenceBase* Animation) override;
	virtual void NotifyTick( USkeletalMeshComponent* MeshComp, UAnimSequenceBase* Animation, float FrameDeltaTime ) override;
};
