﻿
#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintAsyncActionBase.h"


#include "$(FileClassName).generated.h"



/// ノード終了時に呼ぶデリゲート
DECLARE_DYNAMIC_MULTICAST_DELEGATE( FAsync$(ClassName)Complete );


UCLASS()
class $(ApiName)_API $(ClassName) : public UBlueprintAsyncActionBase {
	GENERATED_BODY()

public:
	/// ノードでの処理終了時に呼ぶデリゲート
	UPROPERTY( BlueprintAssignable )
		FAsync$(ClassName)Complete Completed;


	/////////////////////////////////////////
	$(ClassName)( const FObjectInitializer& ObjectInitializer );
	
	/////////////////////////////////////////
	UFUNCTION( BlueprintCallable, meta = (WorldContext = "WorldContextObject", BlueprintInternalUseOnly = "true") )
		static $(ClassName)* $(FileName)( UObject* WorldContextObject );
	
	/////////////////////////////////////////
	/// ノード実行時に呼ばれる関数
	virtual void Activate() override;

};

